## org.apache.sling.testing.samples.failingtests
Class JUnit4FailingTest

    java.lang.Object
      org.apache.sling.testing.samples.failingtests.JUnit4FailingTest

    public class JUnit4FailingTest

extends java.lang.Object

Example failing tests using the JUnit3 APIs

Constructor Summary
`JUnit4FailingTest()`

Method Summary
`void` `testAssertsEveryTime()`
`void` `testFailsEveryTime()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUnit4FailingTest

    public JUnit4FailingTest()

Method Detail

### testFailsEveryTime

    public void testFailsEveryTime()

### testAssertsEveryTime

    public void testAssertsEveryTime()

Copyright © 2007-2011 The Apache Software Foundation. All Rights Reserved.